Bug 1443133 - Security Compliance settings can't be enabled by default
Summary: Security Compliance settings can't be enabled by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Chandan Kumar
QA Contact: Martin Kopec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 14:37 UTC by Rodrigo Duarte
Modified: 2017-05-17 20:22 UTC (History)
9 users (show)

Fixed In Version: python-tempestconf-1.1.1-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:22:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
RDO 6307 None None None 2017-04-19 17:30:56 UTC
RDO 6308 None None None 2017-04-19 17:31:23 UTC
Gerrithub.io 357488 None None None 2017-04-18 14:37:46 UTC

Description Rodrigo Duarte 2017-04-18 14:37:46 UTC
The patch [1] enabled two feature flags for keystone. Turns out the "security_compliance" feature flag needs extra settings to proper work, see [2] for more details.

To finally enable this setting, we need to create an additional job that will customize keystone.conf.

The attached change in Gerrithub.io removes the "security_compliance" setting, than, fixing this issue.

[1] https://github.com/redhat-openstack/python-tempestconf/commit/354bdb46facc2329fa57305c246de84be7a156b4
[2] https://review.openstack.org/#/c/377004/

Comment 1 Chandan Kumar 2017-04-19 17:45:33 UTC
python-tempestconf-1.1.1 contains the fixes for this bug.

Comment 2 Attila Fazekas 2017-04-20 09:08:47 UTC
This feature (password rules) is not expected to be default enabled by any of the puppet based installer (packstack, director), so python-tempestconf MUST not enable it by default.

It is default disabled in python-tempest,  python-tempestconf just started to override it without considering the consequences.

Comment 6 Martin Kopec 2017-04-27 13:31:34 UTC
Verification: 
automated tests using new python-tempestconf-1.1.1-1.el7ost package passed, bug is fixed in this version of python-tempestconf

Comment 7 errata-xmlrpc 2017-05-17 20:22:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.